Webkitgtk with opengl

classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Webkitgtk with opengl

Nagendra K
Hi,

Have a requirement to build WebKit gtk with opengl. Here the opengl layer has some customisation above opengl es 1.1 and current apps use this for rendering.  Is it possible to build webkitgtk with opengl es 1.1 so that I can add the customisation above that.
I checked that webkitgtk can build opengl with a flag during the build but that might use the opengl es 2.0, how to build for opengl es 1.1.

Thanks and Regards,
Nagendra

_______________________________________________
webkit-dev mailing list
[hidden email]
https://lists.webkit.org/mailman/listinfo/webkit-dev
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Webkitgtk with opengl

Michael Catanzaro
On Tue, Jun 27, 2017 at 2:20 PM, Nagendra K <[hidden email]>
wrote:

> Hi,
>
> Have a requirement to build WebKit gtk with opengl. Here the opengl
> layer has some customisation above opengl es 1.1 and current apps use
> this for rendering.  Is it possible to build webkitgtk with opengl es
> 1.1 so that I can add the customisation above that.
> I checked that webkitgtk can build opengl with a flag during the
> build but that might use the opengl es 2.0, how to build for opengl
> es 1.1.
>
> Thanks and Regards,
> Nagendra

Hi Nagendra,

I don't think we support use of OpenGLES 1.1. Making WebKit compatible
with this older version of OpenGLES would probably require significant
technical expertise.

I'm not very familiar with OpenGL or OpenGLES. Maybe somebody with more
experience would be able to provide a more detailed response.

Good luck,

Michael

_______________________________________________
webkit-dev mailing list
[hidden email]
https://lists.webkit.org/mailman/listinfo/webkit-dev
Loading...